petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatNestGetSize

Returns the size of the nest matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestGetSize(Mat A,PetscInt *M,PetscInt *N)

Not collective

### Input Parameters

A -nest matrix

### Output Parameter

| M | - number of rows in the nested mat
| N | - number of cols in the nested mat

### Notes

### See Also

MatNestGetSubMat(), MatNestGetSubMats()

### Level

developer

### Location

src/mat/impls/nest/matnest.c

### Implementations

MatNestGetSize_Nest in src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages